Subject: Re: [X2Go-Dev] Bug#238: Bundled libraries

From: Mike Gabriel <[email-masked]>
Date: Fri, 19 Jul 2013 18:38:24 +0200

tag #116 patch
thanks

Hi Orion,

On Mi 10 Jul 2013 22:12:20 CEST Orion Poplawski wrote:

> On 06/14/2013 04:13 AM, Mike Gabriel wrote:
>> Hi Orion,
>>
>> On Fr 14 Jun 2013 04:44:16 CEST Orion Poplawski wrote:
>>
>>> Package: nx-libs
>>>
>>> nx-libs has copies of a number of libraries in nx-X11/extras/ (and  
>>> some glue
>>> in nx-X11/libs).  We should get rid of these and use system  
>>> provided versions.
>>>
>>> As a first stab, I'm able to remove the following without any harm:
>>>
>>> rm -r nx-X11/extras/{drm,fonts,ogl-sample,regex,ttf2pt1,x86emu,zlib}
>>> rm -r nx-X11/lib/{regex,zlib}
>>>
>>> expat appears to be essentially the 1.95.6 version.  And can be disabled by
>>> setting HasExpat YES in nx-X11/config/cf/host.def.
>>>
>>> fontconfig is an unmodified fontconfig 2.3.2 and can be disabled with
>>> HasFontconfig YES.
>>>
>>> rman is not needed and can be disabled with BuildRman NO.
>>>
>>> That's a far as I've gotten today.
>>
>> Thanks for having started working on this. You earlier reported this request
>> via BTS (#116) and getting a fix for this issue rolling is pretty  
>> valuable, I
>> guess.
>>
>> We won't be able to remove the source folders you referred to from our
>> nx-libs.git repos as the git repos also documents how NoMachine releases get
>> merged into NX (redistributed). However, we should get rid of those  
>> folders at
>> build-time (.deb packages) and get rid of those folders from the tarballs
>> (.rpm et al. packages).
>>
>> So, if you work on this (I know that you work on .rpm based systems), please
>> edit nx-libs.git/debian/roll-tarball.sh for us whenever you want to remove
>> files from the tarball. If you need some other build options, provide that
>> change as a patch for our patch system. Just send the patch, I will  
>> transform
>> that into an appropriate quilt patch.
>>
>> For the .deb build process, we have to move folders out of the way during
>> build-time via /debian/rules. I can see to that, once you have a  
>> diff for the
>> roll-tarball.sh script.
>>
>> Greets+Thanks!
>> Mike
>
> Okay, here goes my initial changes.
>
> I'd still like to unbundle Xpm if possible, but it does get linked  
> to libXcomp.  And Mesa may be just too integrated.

I am currently testing your patches and once the .deb packages build  
with the patch 0002_ applied, I will push the patch to nx-libs.git.

Thanks for this piece of digging code work!

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb